ao-bringup: Test EasyMega boards
authorKeith Packard <keithp@keithp.com>
Fri, 29 Aug 2014 02:52:30 +0000 (19:52 -0700)
committerKeith Packard <keithp@keithp.com>
Fri, 29 Aug 2014 02:52:30 +0000 (19:52 -0700)
ao-bringup/test-easymega [new file with mode: 0755]
ao-bringup/turnon_easymega

diff --git a/ao-bringup/test-easymega b/ao-bringup/test-easymega
new file mode 100755 (executable)
index 0000000..eabe1ee
--- /dev/null
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+VERSION=1.0
+PRODUCT=EasyMega
+BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
+
+echo "$PRODUCT-v$VERSION Test Program"
+echo "Copyright 2014 by Keith Packard.  Released under GPL v2"
+echo
+echo "Expectations:"
+echo "\t$PRODUCT v$VERSION powered from USB"
+echo
+
+ret=1
+ao-list | while read product serial dev; do
+    case "$product" in
+       "$PRODUCT-v$VERSION")
+
+           echo "Testing $product $serial $dev"
+
+           for igniter in drogue main 0 1 2 3; do
+               echo "Testing $igniter igniter."
+               echo -n "Press enter to continue..."
+               read foo < /dev/tty
+               ../ao-tools/ao-test-igniter/ao-test-igniter --tty="$dev" $igniter
+
+               case $? in
+                   0)
+                       ;;
+                   *)
+                       echo "failed"
+                       exit 1
+                       ;;
+               esac
+           done
+
+           echo "Testing baro sensor"
+           ../ao-tools/ao-test-baro/ao-test-baro --tty="$dev"
+
+           case $? in
+               0)
+                   ;;
+               *)
+                   echo "failed"
+                   exit 1
+           esac
+
+           FLASHSIZE=8388608
+
+           echo "Testing flash"
+           ../ao-tools/ao-test-flash/ao-test-flash --tty="$dev" "$FLASHSIZE"
+
+           case $? in
+               0)
+                   ;;
+               *)
+                   echo "failed"
+                   exit 1
+           esac
+
+           echo "$PRODUCT-v$VERSION" serial "$serial" is ready to ship
+           ret=0
+           ;;
+       *)
+           echo "Skipping $product $serial $dev"
+           ;;
+    esac
+done
index 3fdb942d5229b1b3de8bda1f258dda0fe0a3f428..b313e16286dd1ee2c83977bdd4535ec031b6c855 100755 (executable)
@@ -55,3 +55,7 @@ echo 'E 0' > $dev
 ../ao-tools/ao-cal-accel/ao-cal-accel $dev
 
 echo 'E 1' > $dev
+
+./test-easymega
+
+exit $?